Classifications
Update Classification (v1)
Update an existing classification dimension’s name and settings.
PUT
/
public
/
v1
/
classifications
/
{classification_id}
/
Update Classification
curl --request PUT \
--url https://api.dualentry.com/public/v1/classifications/{classification_id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"is_active": true,
"selections": [
{
"name": "<string>",
"is_active": true,
"parent_id": 123,
"id": 123
}
],
"required_for_records": [],
"parent_id": 123,
"id": 123
}
'import requests
url = "https://api.dualentry.com/public/v1/classifications/{classification_id}/"
payload = {
"name": "<string>",
"is_active": True,
"selections": [
{
"name": "<string>",
"is_active": True,
"parent_id": 123,
"id": 123
}
],
"required_for_records": [],
"parent_id": 123,
"id": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
is_active: true,
selections: [{name: '<string>', is_active: true, parent_id: 123, id: 123}],
required_for_records: [],
parent_id: 123,
id: 123
})
};
fetch('https://api.dualentry.com/public/v1/classifications/{classification_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"selections": [
{
"id": 123,
"name": "<string>",
"is_active": true,
"parent_id": 123,
"parent_name": "<string>"
}
],
"required_for_records": [
"purchase_order"
],
"parent_id": 123,
"parent_name": "<string>",
"name": "<string>",
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"is_active": true
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Headers
Optional. A unique value (a UUID works well) identifying this operation. If the request is repeated with the same key, the original response is replayed instead of the operation running again, so a retry cannot create a duplicate record. Results are replayable for 48 hours. Reusing a key with a different request body returns 422.
Maximum string length:
255Path Parameters
Body
application/json
Required string length:
2 - 128Show child attributes
Show child attributes
Available options:
purchase_order, sales_order, cash_sale, invoice, bill, direct_expense, vendor_credit, journal_entry, intercompany_journal_entry, customer_credit, customer_deposit, statistical_journal Response
OK
Show child attributes
Show child attributes
Available options:
purchase_order, sales_order, cash_sale, invoice, bill, direct_expense, vendor_credit, journal_entry, intercompany_journal_entry, customer_credit, customer_deposit, statistical_journal Maximum string length:
128Schema for audit actor information.
Show child attributes
Show child attributes
Schema for audit actor information.
Show child attributes
Show child attributes
Last modified on August 21, 2026
Was this page helpful?
⌘I
Update Classification

